libetonyek::IWORKWrapElement Class Reference documentation

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKWrapElement Class Reference

`#include <IWORKWrapElement.h>`

Inheritance diagram for libetonyek::IWORKWrapElement:

## Public Member Functions
| IWORKWrapElement (IWORKXMLParserState &state, boost::optional< IWORKWrap > &wrap)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Protected Member Functions
void | attribute (int name, const char *value) override
IWORKXMLContextPtr_t | element (int name) override
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const

## Private Member Functions
| IWORKWrapElement (const IWORKWrapElement &)
IWORKWrapElement & | operator= (const IWORKWrapElement &)

## Private Attributes
boost::optional< IWORKWrap > & | m_wrap

## Additional Inherited Members
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKWrapElement() [1/2]

libetonyek::IWORKWrapElement::IWORKWrapElement | ( | IWORKXMLParserState & | state,
|  | boost::optional< IWORKWrap > & | wrap
| ) |  |

## ◆ IWORKWrapElement() [2/2]

libetonyek::IWORKWrapElement::IWORKWrapElement | ( | const IWORKWrapElement & |  | ) |
| private

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKWrapElement::attribute | ( | int | name,
|  | const char * | value
| ) |  |
| overrideprotected

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKWrapElement::element | ( | int | name | ) |
| overrideprotected

## ◆ operator=()

IWORKWrapElement & libetonyek::IWORKWrapElement::operator= | ( | const IWORKWrapElement & |  | ) |
| private

## Member Data Documentation

## ◆ m_wrap

boost::optional<IWORKWrap>& libetonyek::IWORKWrapElement::m_wrap
| private

Referenced by element(), and IWORKWrapElement().

The documentation for this class was generated from the following files:

- IWORKWrapElement.h
- IWORKWrapElement.cpp